### Method

# Foundry CommandLine dup_auth_provider

#### Declaration [src]

    FoundryAuthProvider*
    foundry_command_line_dup_auth_provider (
      FoundryCommandLine* self
    )

#### Description [src]

Gets an auth provider for this command line client if possible.

Currrently, this only returns an auth provider if the command line client provides a TTY.

#### Return value

Type: `FoundryAuthProvider`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.